VREDefinitionServiceImpl (VRE Definition Portlet 5.1.0-SNAPSHOT API)
Date: 2019-07-29

org.gcube.portlets.admin.vredefinition.server

## Class VREDefinitionServiceImpl

- java.lang.Object
- - javax.servlet.GenericServlet
  - - javax.servlet.http.HttpServlet
    - - com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet
      - - com.google.gwt.user.server.rpc.RemoteServiceServlet
        - - org.gcube.portlets.admin.vredefinition.server.VREDefinitionServiceImpl

- All Implemented Interfaces:
    com.google.gwt.user.client.rpc.RemoteService, com.google.gwt.user.server.rpc.SerializationPolicyProvider, Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig, VREDefinitionService

      public class VREDefinitionServiceImpl
      extends com.google.gwt.user.server.rpc.RemoteServiceServlet
      implements VREDefinitionService

  The VREDefinitionServiceImpl class.
  Author:
    Costantino Perciante at ISTI-CNR (costantino.perciante@isti.cnr.it)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `defaultUserId`

    - ### Fields inherited from class com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet

      `perThreadRequest, perThreadResponse`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VREDefinitionServiceImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `destroy()`
    `String` | `getDevelopmentUser()` when packaging test will fail if the user is not set to test.user
    `ArrayList<Functionality>` | `getFunctionality(boolean isEdit)` Request the vre functionalities to show (the returned object is a tree like structure that could be navigated)
    `Map<String,Serializable>` | `getVRE()` When the portlet starts, this method is invoked in order to return 1) vre managers for the current VO 2) the current designer (that is the current user) 3) a VREDefinitionBean that will be filled somehow by the designer
    `void` | `init()`
    `boolean` | `setVRE(VREDescriptionBean bean, ArrayList<Functionality> functionalities)` Create a VRE with the definition information included into the description bean and with the functionalities set into the functionalities array list

    - ### Methods inherited from class com.google.gwt.user.server.rpc.RemoteServiceServlet

      `checkPermutationStrongName, doGetSerializationPolicy, getCodeServerPolicyUrl, getRequestModuleBasePath, getSerializationPolicy, init, loadPolicyFromCodeServer, onAfterResponseSerialized, onBeforeRequestDeserialized, processCall, processCall, processPost, shouldCompressResponse`

    - ### Methods inherited from class com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet

      `doPost, doUnexpectedFailure, getPermutationStrongName, getThreadLocalRequest, getThreadLocalResponse, onAfterRequestDeserialized, readContent`

    - ### Methods inherited from class javax.servlet.http.HttpServlet

      `doDelete, doGet, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

    - ### Methods inherited from class javax.servlet.GenericServlet

      `getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, log, log`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### defaultUserId

          public static final String defaultUserId

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### VREDefinitionServiceImpl

          public VREDefinitionServiceImpl()

  - ### Method Detail

    - #### init

          public void init()

      Overrides:
        `init` in class `javax.servlet.GenericServlet`

    - #### destroy

          public void destroy()

      Specified by:
        `destroy` in interface `javax.servlet.Servlet`
      Overrides:
        `destroy` in class `javax.servlet.GenericServlet`

    - #### getDevelopmentUser

          public String getDevelopmentUser()

      when packaging test will fail if the user is not set to test.user
      Returns:
        .

    - #### getVRE

          public Map<String,Serializable> getVRE()

      When the portlet starts, this method is invoked in order to return 1) vre managers for the current VO 2) the current designer (that is the current user) 3) a VREDefinitionBean that will be filled somehow by the designer
      Specified by:
        `getVRE` in interface `VREDefinitionService`
      Returns:
        an hashmap with a VREDefinitionBean object, a vre designer and some vre managers (if any).

    - #### getFunctionality

          public ArrayList<Functionality> getFunctionality(boolean isEdit)
                                                    throws VREDefinitionException

      Request the vre functionalities to show (the returned object is a tree like structure that could be navigated)
      Specified by:
        `getFunctionality` in interface `VREDefinitionService`
      Returns:
      Throws:
        `VREDefinitionException`

    - #### setVRE

          public boolean setVRE(VREDescriptionBean bean,
                                ArrayList<Functionality> functionalities)
                         throws VREDefinitionException

      Create a VRE with the definition information included into the description bean and with the functionalities set into the functionalities array list
      Specified by:
        `setVRE` in interface `VREDefinitionService`
      Returns:
      Throws:
        `VREDefinitionException`

Copyright © 2019. All Rights Reserved.